Vulnerability Assessment & Network Security Forums



If through a vulnerability assessment, a network security issue is detected for the vulnerability below, applying the appropriate security patches in a timely matter is very important.  If you have detected that your system has already been compromised, following CERT's Network Security recovery document will assist with recommended steps for system recovery.


Home >> Browse Vulnerability Assessment Database >> Fedora Local Security Checks >> Fedora Core 3 2004-403: ruby


Vulnerability Assessment Details

Fedora Core 3 2004-403: ruby

Vulnerability Assessment Summary
Check for the version of the ruby package

Detailed Explanation for this Vulnerability Assessment

The remote host is missing the patch for the advisory FEDORA-2004-403 (ruby).

Ruby is the interpreted scripting language for quick and easy
object-oriented programming. It has many features to process text
files and to do system management tasks (as in Perl). It is simple,
straight-forward, and extensible.


* Thu Nov 11 2004 Akira TAGOH - 1.8.1-7.FC3.1

- security fix [CVE-2004-0983]
- security fix [CVE-2004-0755]
- ruby-1.8.1-cgi-dos.patch: applied to fix a denial of service issue.
(#138366)
- ruby-1.8.1-cgi_session_perms.patch: sets the permission of the
session data
file to 0600. (#130063)

* Sat Oct 30 2004 Akira TAGOH - 1.8.1-7.fc3

- added openssl-devel and db4-devel into BuildRequires. (#137479)



Solution : http://www.fedoranews.org/blog/index.php?p=63
Network Security Threat Level: High

Networks Security ID:

Vulnerability Assessment Copyright: This script is Copyright (C) 2004 Tenable Network Security

Cables, Connectors

Ace of Aces Accolade; C-64/128; Commodore 64 Disk
$64.95
Ace of Aces Accolade; C-64/128; Commodore 64 Disk pictureVintage Commodore 64 Computer
$5.0
Vintage Commodore 64 Computer pictureCommodore 64 Sold AS IS/Untested
$50.0
Commodore 64  Sold AS IS/Untested pictureAmiga 1200 System With Mouse. Upgraded With 4gb CF Card and Kickstart 3.1
$399.0
Amiga 1200 System With Mouse. Upgraded With 4gb CF Card and Kickstart 3.1 picture


Discussions

No Discussions have been posted on this vulnerability.